Project-I
Home
API Test
Home
API Test
  1. Sample APIs
  • Start your Apidog journey
  • Introducing Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • WebSocket Demo
  • Demo
    GET
  • Sample
    GET
  • GraphQL Demo
    POST
  • Get account aliase
    GET
  • Find User by ID
    GET
  • Get Account Summary
    GET
  • Demo_AWS Secrets Manager
    GET
  • Password Policy Check
    GET
  • Weather
    GET
  • Generate IAM Credential Report
    GET
  • Test
    GET
  • Analyse IAM Credential Report
    GET
  • Demo
    GET
  • List Users
    GET
  • List groups
    GET
  • List Roles
    GET
  • List Policies
    GET
  • Generate Service Last Accessed Details
    GET
  • Get Service Last Accessed Details
    GET
  • Post to Slack
    POST
  • Schemas
    • Schemas
      • Pet
      • ApiResponse
      • Category
      • Tag
      • Order
      • User
    • RequestBodies
      • UserArray
  1. Sample APIs

Find pet by ID

GET
/pet/{petId}

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200OK
application/json
Body

🟠404Record not found
🟠400Invalid input
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1012399-0-default/pet/abc' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success example
{
    "code": null,
    "data": {
        "id": 13798338,
        "category": {
            "id": -34963357,
            "name": "Max Schmeler PhD"
        },
        "name": "doggie",
        "photoUrls": [
            "https://loremflickr.com/400/400?lock=1302345019495231"
        ],
        "tags": [
            {
                "id": 16111869,
                "name": "Irene Koepp"
            },
            {
                "id": 28668812,
                "name": "Iris Bogisich"
            },
            {
                "id": -36515504,
                "name": "Patricia Dibbert"
            }
        ],
        "status": "sold"
    }
}
Modified at 2025-07-23 06:56:40
Previous
Sample APIs
Next
Add a new pet to the store
Built with